import { AfterViewInit, OnInit } from "@angular/core";
import { StiTooltipService } from "./sti-tooltip.service";
import { StiModelService } from "../../services/model.service";
import * as i0 from "@angular/core";
export declare class StiTooltipComponent implements OnInit, AfterViewInit {
    tooltipService: StiTooltipService;
    model: StiModelService;
    constructor(tooltipService: StiTooltipService, model: StiModelService);
    initialized: boolean;
    ngAfterViewInit(): void;
    getTooltipArrow(): "bottom-arrow" | "top-arrow" | "right-arrow" | "left-arrow";
    getLeft(tooltipElement: any): string | 0 | -999;
    getTop(tooltipElement: any): string | 0 | -999;
    correctLeftLimits(value: any, tooltipRect: any): string | 0;
    correctTopLimits(value: any, tooltipRect: any): string | 0;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiTooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiTooltipComponent, "sti-tooltip", never, {}, {}, never, never, false, never>;
}
